[PATCH] libosmocore[master]: jenkins: add dispatcher script

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Max gerrit-no-reply at lists.osmocom.org
Thu Jan 18 18:13:08 UTC 2018


Review at  https://gerrit.osmocom.org/5884

jenkins: add dispatcher script

Similar to the way we test osmo-bts, add simple dispatcher script which
calls appropriate test depending on a given parameter. This will allow
to simplify the job description. While at it, also rename jenkins-arm.sh
-> jenkins_arm.sh to match the OsmoBTS.

Change-Id: I2955e866bce4f000a53369bd601a346c36c82468
---
R contrib/jenkins_amd64.sh
A contrib/jenkins_arch.sh
R contrib/jenkins_arm.sh
3 files changed, 33 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/84/5884/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins_amd64.sh
similarity index 100%
rename from contrib/jenkins.sh
rename to contrib/jenkins_amd64.sh
diff --git a/contrib/jenkins_arch.sh b/contrib/jenkins_arch.sh
new file mode 100755
index 0000000..bac9278
--- /dev/null
+++ b/contrib/jenkins_arch.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# this is a dispatcher script which will call the arch-specific
+# script based on the arch specified as command line argument
+
+arch="$1"
+
+if [ "x$arch" == "x" ]; then
+	echo "Error: You have to specify the architecture as first argument, e.g. $0 amd64"
+	exit 2
+fi
+
+if [ ! -d "./contrib" ]; then
+  echo "Run ./contrib/jenkins_arch.sh from the root of the libosmocore tree"
+  exit 1
+fi
+
+set -x -e
+
+case "$arch" in
+
+  amd64)
+    ./contrib/jenkins_amd64.sh
+  ;;
+
+  arch)
+    ./contrib/jenkins_arch.sh
+  ;;
+
+  *)
+    set +x
+    echo "Unexpected architecture '$arch'"
+  ;;
+esac
diff --git a/contrib/jenkins-arm.sh b/contrib/jenkins_arm.sh
similarity index 100%
rename from contrib/jenkins-arm.sh
rename to contrib/jenkins_arm.sh

-- 
To view, visit https://gerrit.osmocom.org/5884
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I2955e866bce4f000a53369bd601a346c36c82468
Gerrit-PatchSet: 1
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Max <msuraev at sysmocom.de>



More information about the gerrit-log mailing list